# Class DataGridEditCellDefDirective<T>

#### Type Parameters

- T extends Record<string, any>

- Defined in lib/data-grid-edit-cell-def.directive.ts:16

#####
Index

### Constructors

constructor

### Properties

template

### Methods

ngTemplateContextGuard

## Constructors

### constructor

- new DataGridEditCellDefDirective<T>(template): DataGridEditCellDefDirective<T>

- #### Type Parameters

  - T extends Record<string, any>

  #### Parameters

  - template: TemplateRef<DataGridEditCellDefDirectiveContext<T>>

  #### Returns DataGridEditCellDefDirective<T>

  - Defined in lib/data-grid-edit-cell-def.directive.ts:24

## Properties

### template

template: TemplateRef<DataGridEditCellDefDirectiveContext<T>>

- Defined in lib/data-grid-edit-cell-def.directive.ts:26

## Methods

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard<T>(dir, ctx): ctx is DataGridEditCellDefDirectiveContext<T>

- #### Type Parameters

  - T extends Record<string, any>

  #### Parameters

  - dir: DataGridEditCellDefDirective<T>
  - ctx: any

  #### Returns ctx is DataGridEditCellDefDirectiveContext<T>

  - Defined in lib/data-grid-edit-cell-def.directive.ts:17